part of setalpha;

/// Convenience class for accessing CSS colors.
abstract class Color {
  static const String none = "rgba(0,0,0,0)";
  static const String antiqueWhite = "antiquewhite",
      aqua = "aqua",
      aquamarine = "aquamarine",
      azure = "azure",
      beige = "beige",
      bisque = "bisque",
      black = "black",
      blanchedAlmond = "blanchedalmond",
      blue = "blue",
      blueViolet = "blueviolet",
      brown = "brown",
      burlyWood = "burlywood",
      cadetBlue = "cadetblue",
      chartreuse = "chartreuse",
      chocolate = "chocolate",
      coral = "coral",
      cornflowerBlue = "cornflowerblue",
      cornsilk = "cornsilk",
      crimson = "crimson",
      cyan = "cyan",
      darkBlue = "darkblue",
      darkCyan = "darkcyan",
      darkGoldenRod = "darkgoldenrod",
      darkGray = "darkgray",
      darkGreen = "darkgreen",
      darkKhaki = "darkkhaki",
      darkMagenta = "darkmagenta",
      darkOliveGreen = "darkolivegreen",
      darkOrange = "darkorange",
      darkOrchid = "darkorchid",
      darkRed = "darkred",
      darkSalmon = "darksalmon",
      darkSeaGreen = "darkseagreen",
      darkSlateBlue = "darkslateblue",
      darkSlateGray = "darkslategray",
      darkTurquoise = "darkturquoise",
      darkViolet = "darkviolet",
      deepPink = "deeppink",
      deepSkyBlue = "deepskyblue",
      dimGray = "dimgray",
      dodgerBlue = "dodgerblue",
      fireBrick = "firebrick",
      floralWhite = "floralwhite",
      forestGreen = "forestgreen",
      fuchsia = "fuchsia",
      gainsboro = "gainsboro",
      ghostWhite = "ghostwhite",
      gold = "gold",
      goldenRod = "goldenrod",
      gray = "gray",
      green = "green",
      greenYellow = "greenyellow",
      honeyDew = "honeydew",
      hotPink = "hotpink",
      indianRed = "indianred",
      indigo = "indigo",
      ivory = "ivory",
      khaki = "khaki",
      lavender = "lavender",
      lavenderBlush = "lavenderblush",
      lawnGreen = "lawngreen",
      lemonChiffon = "lemonchiffon",
      lightBlue = "lightblue",
      lightCoral = "lightcoral",
      lightCyan = "lightcyan",
      lightGoldenRodYellow = "lightgoldenrodyellow",
      lightGray = "lightgray",
      lightGreen = "lightgreen",
      lightPink = "lightpink",
      lightSalmon = "lightsalmon",
      lightSeaGreen = "lightseagreen",
      lightSkyBlue = "lightskyblue",
      lightSlateGray = "lightslategray",
      lightSteelBlue = "lightsteelblue",
      lightYellow = "lightyellow",
      lime = "lime",
      limeGreen = "limegreen",
      linen = "linen",
      magenta = "magenta",
      maroon = "maroon",
      mediumAquaMarine = "mediumaquamarine",
      mediumBlue = "mediumblue",
      mediumOrchid = "mediumorchid",
      mediumPurple = "mediumpurple",
      mediumSeaGreen = "mediumseagreen",
      mediumSlateBlue = "mediumslateblue",
      mediumSpringGreen = "mediumspringgreen",
      mediumTurquoise = "mediumturquoise",
      mediumVioletRed = "mediumvioletred",
      midnightBlue = "midnightblue",
      mintCream = "mintcream",
      mistyRose = "mistyrose",
      moccasin = "moccasin",
      navajoWhite = "navajowhite",
      navy = "navy",
      oldLace = "oldlace",
      olive = "olive",
      oliveDrab = "olivedrab",
      orange = "orange",
      orangeRed = "orangered",
      orchid = "orchid",
      paleGoldenRod = "palegoldenrod",
      paleGreen = "palegreen",
      paleTurquoise = "paleturquoise",
      paleVioletRed = "palevioletred",
      papayaWhip = "papayawhip",
      peachPuff = "peachpuff",
      peru = "peru",
      pink = "pink",
      plum = "plum",
      powderBlue = "powderblue",
      purple = "purple",
      rebeccaPurple = "rebeccapurple",
      red = "red",
      rosyBrown = "rosybrown",
      royalBlue = "royalblue",
      saddleBrown = "saddlebrown",
      salmon = "salmon",
      sandyBrown = "sandybrown",
      seaGreen = "seagreen",
      seaShell = "seashell",
      sienna = "sienna",
      silver = "silver",
      skyBlue = "skyblue",
      slateBlue = "slateblue",
      slateGray = "slategray",
      snow = "snow",
      springGreen = "springgreen",
      steelBlue = "steelblue",
      tan = "tan",
      teal = "teal",
      thistle = "thistle",
      tomato = "tomato",
      turquoise = "turquoise",
      violet = "violet",
      wheat = "wheat",
      white = "white",
      whiteSmoke = "whitesmoke",
      yellow = "yellow",
      yellowGreen = "yellowgreen";

  static const Map<String, String> _colorData = const {
    "antiquewhite": "FAEBD7",
    "aqua": "00FFFF",
    "aquamarine": "7FFFD4",
    "azure": "F0FFFF",
    "beige": "F5F5DC",
    "bisque": "FFE4C4",
    "black": "000000",
    "blanchedalmond": "FFEBCD",
    "blue": "0000FF",
    "blueviolet": "8A2BE2",
    "brown": "A52A2A",
    "burlywood": "DEB887",
    "cadetblue": "5F9EA0",
    "chartreuse": "7FFF00",
    "chocolate": "D2691E",
    "coral": "FF7F50",
    "cornflowerblue": "6495ED",
    "cornsilk": "FFF8DC",
    "crimson": "DC143C",
    "cyan": "00FFFF",
    "darkblue": "00008B",
    "darkcyan": "008B8B",
    "darkgoldenrod": "B8860B",
    "darkgray": "A9A9A9",
    "darkgreen": "006400",
    "darkkhaki": "BDB76B",
    "darkmagenta": "8B008B",
    "darkolivegreen": "556B2F",
    "darkorange": "FF8C00",
    "darkorchid": "9932CC",
    "darkred": "8B0000",
    "darksalmon": "E9967A",
    "darkseagreen": "8FBC8F",
    "darkslateblue": "483D8B",
    "darkslategray": "2F4F4F",
    "darkturquoise": "00CED1",
    "darkviolet": "9400D3",
    "deeppink": "FF1493",
    "deepskyblue": "00BFFF",
    "dimgray": "696969",
    "dodgerblue": "1E90FF",
    "firebrick": "B22222",
    "floralwhite": "FFFAF0",
    "forestgreen": "228B22",
    "fuchsia": "FF00FF",
    "gainsboro": "DCDCDC",
    "ghostwhite": "F8F8FF",
    "gold": "FFD700",
    "goldenrod": "DAA520",
    "gray": "808080",
    "green": "008000",
    "greenyellow": "ADFF2F",
    "honeydew": "F0FFF0",
    "hotpink": "FF69B4",
    "indianred": "CD5C5C",
    "indigo": "4B0082",
    "ivory": "FFFFF0",
    "khaki": "F0E68C",
    "lavender": "E6E6FA",
    "lavenderblush": "FFF0F5",
    "lawngreen": "7CFC00",
    "lemonchiffon": "FFFACD",
    "lightblue": "ADD8E6",
    "lightcoral": "F08080",
    "lightcyan": "E0FFFF",
    "lightgoldenrodyellow": "FAFAD2",
    "lightgray": "D3D3D3",
    "lightgreen": "90EE90",
    "lightpink": "FFB6C1",
    "lightsalmon": "FFA07A",
    "lightseagreen": "20B2AA",
    "lightskyblue": "87CEFA",
    "lightslategray": "778899",
    "lightsteelblue": "B0C4DE",
    "lightyellow": "FFFFE0",
    "lime": "00FF00",
    "limegreen": "32CD32",
    "linen": "FAF0E6",
    "magenta": "FF00FF",
    "maroon": "800000",
    "mediumaquamarine": "66CDAA",
    "mediumblue": "0000CD",
    "mediumorchid": "BA55D3",
    "mediumpurple": "9370DB",
    "mediumseagreen": "3CB371",
    "mediumslateblue": "7B68EE",
    "mediumspringgreen": "00FA9A",
    "mediumturquoise": "48D1CC",
    "mediumvioletred": "C71585",
    "midnightblue": "191970",
    "mintcream": "F5FFFA",
    "mistyrose": "FFE4E1",
    "moccasin": "FFE4B5",
    "navajowhite": "FFDEAD",
    "navy": "000080",
    "oldlace": "FDF5E6",
    "olive": "808000",
    "olivedrab": "6B8E23",
    "orange": "FFA500",
    "orangered": "FF4500",
    "orchid": "DA70D6",
    "palegoldenrod": "EEE8AA",
    "palegreen": "98FB98",
    "paleturquoise": "AFEEEE",
    "palevioletred": "DB7093",
    "papayawhip": "FFEFD5",
    "peachpuff": "FFDAB9",
    "peru": "CD853F",
    "pink": "FFC0CB",
    "plum": "DDA0DD",
    "powderblue": "B0E0E6",
    "purple": "800080",
    "rebeccapurple": "663399",
    "red": "FF0000",
    "rosybrown": "BC8F8F",
    "royalblue": "4169E1",
    "saddlebrown": "8B4513",
    "salmon": "FA8072",
    "sandybrown": "F4A460",
    "seagreen": "2E8B57",
    "seashell": "FFF5EE",
    "sienna": "A0522D",
    "silver": "C0C0C0",
    "skyblue": "87CEEB",
    "slateblue": "6A5ACD",
    "slategray": "708090",
    "snow": "FFFAFA",
    "springgreen": "00FF7F",
    "steelblue": "4682B4",
    "tan": "D2B48C",
    "teal": "008080",
    "thistle": "D8BFD8",
    "tomato": "FF6347",
    "turquoise": "40E0D0",
    "violet": "EE82EE",
    "wheat": "F5DEB3",
    "white": "FFFFFF",
    "whitesmoke": "F5F5F5",
    "yellow": "FFFF00",
    "yellowgreen": "9ACD32"
  };

  static List<String> get colors => _colorData.keys.toList();
}

/// Convenience class for accessing color picker colors.
abstract class Crayon {
  static const String aluminum = "aluminum",
      aqua = "aqua",
      asparagus = "asparagus",
      banana = "banana",
      blueberry = "blueberry",
      bubblegum = "bubblegum",
      cantaloupe = "cantaloupe",
      carnation = "carnation",
      cayenne = "cayenne",
      clover = "clover",
      eggplant = "eggplant",
      fern = "fern",
      flora = "flora",
      grape = "grape",
      honeydew = "honeydew",
      ice = "ice",
      iron = "iron",
      lavendar = "lavendar",
      lead = "lead",
      lemon = "lemon",
      licorice = "licorice",
      lime = "lime",
      magenta = "magenta",
      magnesium = "magnesium",
      maraschino = "maraschino",
      maroon = "maroon",
      mercury = "mercury",
      midnight = "midnight",
      mocha = "mocha",
      moss = "moss",
      nickel = "nickel",
      ocean = "ocean",
      orchid = "orchid",
      plum = "plum",
      salmon = "salmon",
      seaFoam = "seaFoam",
      silver = "silver",
      sky = "sky",
      snow = "snow",
      spindrift = "spindrift",
      spring = "spring",
      steel = "steel",
      strawberry = "strawberry",
      tangerine = "tangerine",
      teal = "teal",
      tin = "tin",
      tungsten = "tungsten",
      turquoise = "turquoise";

  static const Map<String, String> _colorData = const {
    "aluminum": "A9A9A9",
    "aqua": "0096FF",
    "asparagus": "929000",
    "banana": "FFFC79",
    "blueberry": "0433FF",
    "bubblegum": "FF85FF",
    "cantaloupe": "FFD479",
    "carnation": "FF8AD8",
    "cayenne": "941100",
    "clover": "008F00",
    "eggplant": "531B93",
    "fern": "4F8F00",
    "flora": "73FA79",
    "grape": "9437FF",
    "honeydew": "D4FB79",
    "ice": "73FDFF",
    "iron": "5E5E5E",
    "lavendar": "D783FF",
    "lead": "212121",
    "lemon": "FFFB00",
    "licorice": "000000",
    "lime": "8EFA00",
    "magenta": "FF40FF",
    "magnesium": "C0C0C0",
    "maraschino": "FF2600",
    "maroon": "941751",
    "mercury": "EBEBEB",
    "midnight": "011993",
    "mocha": "945200",
    "moss": "009051",
    "nickel": "929292",
    "ocean": "005493",
    "orchid": "7A81FF",
    "plum": "942193",
    "salmon": "FF7E79",
    "seaFoam": "00FA92",
    "silver": "D6D6D6",
    "sky": "76D6FF",
    "snow": "FFFFFF",
    "spindrift": "73FCD6",
    "spring": "00F900",
    "steel": "797979",
    "strawberry": "FF2F92",
    "tangerine": "FF9300",
    "teal": "009193",
    "tin": "919191",
    "tungsten": "424242",
    "turquoise": "00FDFF"
  };

  static List<String> get colors => _colorData.keys.toList();
}
